# Opis skrócony przypadków użycia
## Aktorzy procesu i ich cele
Aktor        |Cel                            
-------------|---------------------------------
Użytkownik   |Wpłacenie Pieniędzy, Wypłacenie Pieniędzy, Doładowanie telefonicznej karty prepaid, Przelanie pieniędzy na inne konto, Sprawdzenie stanu konta
Konserwator  |Uzupełnienie kieszeni bankomatu, Naprawa problemów ze sprzętem
ATM          |Sprawdzenie możliwych problemów z osprzętem, Sprawdzenie stanu kieszeni

## Słownik
Hasło   |Opis                            
--------|---------------------------------
ATM     |Oprogramowanie bankomatu

## Przypadki użycia
### Wpłacenie Pieniędzy
Użytkownik wkłada karte do bankomatu oraz weryfikuje kod PIN. Po wyświetleniu menu wybiera opcje wpłaty pieniędzy. Nastepnie użytkownik wpisuje wartość wpłaty, po czym wkłada odliczoną sumę pieniędzy do bankomatu. Pieniądze są przeliczane i deponowane. Kwota jest dopisana do salda konta w banku. Użytkownik jest pytany o wydanie potwierdzenia i je otrzymuje, jeśli wyraził taką wole. Karta jest zwracana.
### Wypłacenie Pieniędzy
Użytkownik podchodzi do bankomatu i wkłada do niego kartę powiązaną z kontem z którego mają zostać wypłacone pieniądze. Bankomat weryfikuje użytkownika, prosząc o podanie kodu PIN do karty. Po udanej weryfikacji na ekranie bankomatu wyświetlają się dostępne opcje. Użytkownik wybiera opcje wypłaty, nasepnie podaje kwotę jaka ma zostać wypłacona. Bankomat wydaje odliczone pieniądze. Użytkownik jest pytany o wydanie potwierdzenia, i je otrzymuje jeśli wyraził taką wole. Karta jest zwracana.
### Doładowanie telefonicznej karty prepaid
Użytkownik podchodzi do bankomatu i wkłada do niego kartę powiązaną z
kontem z którego mają zostać wypłacone pieniądze. Bankomat
weryfikuje użytkownika, prosząc o podanie kodu PIN do karty. Po udanej
weryfikacji na ekranie bankomatu wyświetlają się dostępne opcje.
Użytkownik wybiera opcje doładowania karty telefonicznej, po czym
bankomat prosi o wybranie operatora i wpisanie numeru telefonu.
Po uzupełnieniu tych informacji użytkownik podaje dodatkowo wartość
pieniężną doładowania i zatwierdza transakcję. Bankomat wyświetla
komunikat o sukcesie oraz potwierdzenie przelewu, po czym wysuwa
karte.
### Przelanie pieniędzy na inne konto
Użytkownik podchodzi do bankomatu i wkłada do niego kartę powiązaną z kontem z którego ma zostać wykonany przelew. Bankomat weryfikuje użytkownika, prosząc o podanie kodu PIN do karty. Po udanej weryfikacji na ekranie bankomatu wyświetlają się dostępne opcje. Użytkownik wybiera opcje przelewu. Bankomat prosi o podanie numeru karty na jaką ma zostać wykonany przelew. Po potwierdzeniu, że operacja dla tej pary kart jest wykonalna, bankomat prosi o podanie kwoty przelewu. Użytkownik podaje kwotę przelewu. Bankomat wyświetla komunikat o sukcesie. Użytkownik jest pytany o wydanie potwierdzenia, i je otrzymuje jeśli wyraził taką wole. Karta jest zwracana.
### Sprawdzenie stanu konta
Użytkownik wkłada karte do bankomatu. Bankomat weryfikuje użytkownika, prosząc o podanie kodu PIN do karty. Po wyświetleniu menu wybiera opcje sprawdzenia stanu konta. Wyświetalany zostaje stan konta. Użytkownik jest pytany o wydanie potwierdzenia i je otrzymuje jeśli wyraził taką wolę. Karta jest zwracana.
### Uzupełnienie kieszeni bankomatu
Konserwator podchodzi do bankomatu i otwiera go kluczykiem. Bankomat wyłącza się, a konserwator bezpiecznie wyjmuje i uzupełnienia kieszenie w maszynie. Po włożeniu ich spowrotem i zamknięciu drzwiczek przez konserwatora bankomat włącza się i przelicza stan swoich kieszeni.
### Sprawdzenie możliwych problemów z osprzętem
ATM sprawdza cyklicznie sprawność czujników i osprzętu. W przypadku wykrycia problemu do maszyny wzywany jest Konserwator. Maszyna przełącza się w tryb awaryjny do czasu naprawy.
### Naprawa problemów ze sprzętem
Konserwator odbiera wezwanie z bankomatu i przyjeżdża do maszyny. Używając specjalnej karty przełącza bankomat w tryb serwisowy i naprawia wadliwą część osprzętu. Po zakończonej operacji ATM wychodzi z trybu serwisowego i kontynuuje pracę.
### Sprawdzenie stanu kieszeni
ATM sprawdza po każdej wypłacie stan swoich kieszeni. W przypadku braków do maszyny wzywany jest Konserwator. W przypadku krytycznie niskiego stanu zawartości kieszeni, maszyna przełącza się w tryb awaryjny do czasu ich uzupełnienia.
